local _, core = ...;
core.DBchallenge = {};
core.DBchallenge.data = {};

local function loadChallenges()
core.DBchallenge.data = {
	[1] = {
		[1] = {
			id = 1,
			title = core.L["BriseFlammes"],
			bg = "Interface/AddOns/WoWChallenger/images/challenges/bg/bg_challenge_molten",
			tab = {
				[1] = {
					id = 1;
					name = core.L["Malorne"],
					page = {
						[1] = { id = 1,
							name = core.L["Malorne"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_malorne_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/sanctuaire_malorne",
							step = {
								[1] = { id = 1,
									AccessLoot = false,
									help = core.L["HelpFirelands"],
									task = {
										[1] = { id = 1,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(29145), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(29145)},
											["type"] = "quest",
										},
										[2] = { id = 2,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(29195), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(29195)},
											["type"] = "quest",
										},
										[3] = { id = 3,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(29196), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(29196)},
											["type"] = "quest",
										},
										[4] = { id = 4,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(29197), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(29197)},
											["type"] = "quest",
										},
										[5] = { id = 5,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(29198),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(29198)},
											["type"] = "quest",
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = false,
									task = {
										[1] = { id = 1,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(29199), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(29199)},
											["type"] = "quest",
										},
										[2] = { id = 2,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(29200), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(29200)},
											["type"] = "quest",
										},
										[3] = { id = 3,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(29201), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(29201)},
											["type"] = "quest",
										},
									},
								},
								[3] = { id = 3,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(5869)},
											["type"] = "hf",
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(5868)},
											["type"] = "hf",
										},
										[3] = { id = 3,	
											["hf"] = {GetAchievementInfo(5862)},
											["type"] = "hf",
										},
										[4] = { id = 4,
											["hf"] = {GetAchievementInfo(5864)},
											["type"] = "hf",
										},
										[5] = { id = 5,	
											["hf"] = {GetAchievementInfo(5865)},
											["type"] = "hf",
										},
									},
								},
							},
						},
					},
				},
				[2] = {
					id = 2;
					name = core.L["Magma"],
					page = {
						[1] = { id = 1,
							name = core.L["Magma"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_firelands_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/firelands",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(5861)},
											["type"] = "hf",
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(5867)},
											["type"] = "hf",
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(5872)},
											["type"] = "hf",
										},
										[4] = { id = 4,
											["hf"] = {GetAchievementInfo(5870)},
											["type"] = "hf",
										},
										[5] = { id = 5,
											["hf"] = {GetAchievementInfo(5866)},
											["type"] = "hf",
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(5879)},
											["type"] = "hf",
										},
									},
								},
							},
						},
						[2] = { id = 2,
							name = core.L["Druid"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_druid_serre_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_firelands_malfurion",
							step = {
								[1] = { id = 1,
									AccessLoot = false,
									task = {
										[1] = { id = 1,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(29181), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(29181)},
											["type"] = "quest",
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = false,
									task = {
										[1] = { id = 1,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(29272), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(29272)},
											["type"] = "quest",
										},
									},
								},
								[3] = { id = 3,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(29283), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(29283)},
											["type"] = "quest",
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(5871)},
											["type"] = "hf",
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(5874)},
											["type"] = "hf",
										},
										[4] = { id = 4,
											["hf"] = {GetAchievementInfo(5873)},
											["type"] = "hf",
										},
									},
								},
							},
						},
						[3] = { id = 3,
							name = core.L["Warden"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_warden_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_firelands_warden",
							step = {
								[1] = { id = 1,
									AccessLoot = false,
									task = {
										[1] = { id = 1,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(29214), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(29214)},
											["type"] = "quest",
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = false,
									task = {
										[1] = { id = 1,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(29245), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(29245)},
											["type"] = "quest",
										},
										[2] = { id = 2,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(29249), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(29249)},
											["type"] = "quest",
										},
										[3] = { id = 3,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(29254), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(29254)},
											["type"] = "quest",
										},
									},
								},
								[3] = { id = 3,
									AccessLoot = false,
									task = {
										[1] = { id = 1,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(29279), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(29279)},
											["type"] = "quest",
										},
									},
								},
								[4] = { id = 4,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(29203), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(29203)},
											["type"] = "quest",
										},
										[2] = { id = 2,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(29298), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(29298)},
											["type"] = "quest",
										},
										[3] = { id = 3,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(29302), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(29302)},
											["type"] = "quest",
										},
										[4] = { id = 4,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(29303), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(29303)},
											["type"] = "quest",
										},
										[5] = { id = 5,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(29310), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(29310)},
											["type"] = "quest",
										},
										[6] = { id = 6,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(29311), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(29311)},
											["type"] = "quest",
										},
										[7] = { id = 7,
											["hf"] = {GetAchievementInfo(5859)},
											["type"] = "hf",
										},
									},
								},
							},
						},
						[4] = { id = 4,
							name = core.L["Damek"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_dwarf_male_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_firelands_damek",
							step = {
								[1] = { id = 1,
									AccessLoot = false,
									task = {
										[1] = { id = 1,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(29181), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(29181)},
											["type"] = "quest",
										},
										[2] = { id = 2,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(29214), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(29214)},
											["type"] = "quest",
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = false,
									task = {
										[1] = { id = 1,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(29281), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(29281)},
											["type"] = "quest",
										},
									},
								},
							},
						},
					},
				},
			},
		},
		[2] = {
			id = 2,
			title = core.L["Champion"],
			bg = "Interface/AddOns/WoWChallenger/images/challenges/bg/bg_challenge_tournoi",
			tab = {
				[1] = {
					id = 1;
					name = core.L["Alliance"],
					faction = "Alliance",
					page = {
						[1] = { id = 1,
							name = core.L["Alliance"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_allianceFaction_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/tente_alliance_tournament",
							step = {
								[1] = { id = 1,
									AccessLoot = false,
									help = core.L["HelpTournoi"],
									task = {
										[1] = { id = 1,
											["quest"] = { 
											title = C_QuestLog.GetQuestInfo(13667), desc = core.L["DescQuest"], completed = IsQuestFlaggedCompleted(13667)},
											["type"] = "quest",
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(2756)},
											["type"] = "hf",
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(2758)},
											["type"] = "hf",
										},
									},
								},
								[3] = { id = 3,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(2782)},
											["type"] = "hf",
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(2836)},
											["type"] = "hf",
										},
									},
								},
								[4] = { id = 4,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(2770)},
											["type"] = "hf",
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(2817)},
											["type"] = "hf",
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(945)},
											["type"] = "hf",
										},
										[4] = { id = 4,
											["hf"] = {GetAchievementInfo(2772)},
											["type"] = "hf",
										},
									},
								},
							},
						},
						[2] = { id = 2,
							name = core.L["Stormwind"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_stormwind_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_champion_stormwind",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["quest"] = { title = C_QuestLog.GetQuestInfo(13718), desc = core.L["DescQuest"], completed = IsQuestFlaggedCompleted(13718)},
											["type"] = "quest",
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(2781)},
											["type"] = "hf",
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,
									help = core.L["HelpTournoiDj"],
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(2764)},
											["type"] = "hf",
											["faction"] = 72,
										},
									},
								},
							},
						},
						[3] = { id = 3,
							name = core.L["Darnassus"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_darnassus_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_champion_darnassus",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["quest"] = { title = C_QuestLog.GetQuestInfo(13717), desc = core.L["DescQuest"], completed = IsQuestFlaggedCompleted(13717)},
											["type"] = "quest",
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(2777)},
											["type"] = "hf",
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,
									help = core.L["HelpTournoiDj"],
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(2760)},
											["type"] = "hf",
											["faction"] = 69,
										},
									},
								},
							},
						},
						[4] = { id = 4,
							name = core.L["Ironforge"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_ironforge_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_champion_forgefer",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["quest"] = { title = C_QuestLog.GetQuestInfo(13714), desc = core.L["DescQuest"], completed = IsQuestFlaggedCompleted(13714)},
											["type"] = "quest",
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(2780)},
											["type"] = "hf",
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,
									help = core.L["HelpTournoiDj"],
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(2763)},
											["type"] = "hf",
											["faction"] = 47,
										},
									},
								},
							},
						},
						[5] = { id = 5,
							name = core.L["Exodar"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_exodar_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_champion_exodar",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["quest"] = { title = C_QuestLog.GetQuestInfo(13716), desc = core.L["DescQuest"], completed = IsQuestFlaggedCompleted(13716)},
											["type"] = "quest",
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(2778)},
											["type"] = "hf",
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,
									help = core.L["HelpTournoiDj"],
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(2761)},
											["type"] = "hf",
											["faction"] = 930,
										},
									},
								},
							},
						},
						[6] = { id = 6,
							name = core.L["Gnomeregan"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_gnomeregan_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_champion_gnomeregan",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["quest"] = { title = C_QuestLog.GetQuestInfo(13715), desc = core.L["DescQuest"], completed = IsQuestFlaggedCompleted(13715)},
											["type"] = "quest",
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(2779)},
											["type"] = "hf",
										},
									},
								},
								[2] = { id = 2,	
									AccessLoot = true,
									help = core.L["HelpTournoiDj"],
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(2762)},
											["type"] = "hf",
											["faction"] = 54,
										},
									},
								},
							},
						},
					},
				},
				[2] = {
					id = 2;
					name = core.L["Horde"],
					faction = "Horde",
					page = {
						[1] = { id = 1,
							name = core.L["Horde"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_hordeFaction_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/tente_horde_tournament",
							step = {
								[1] = { id = 1,	
									AccessLoot = false,
									help = core.L["HelpTournoi"],
									task = {
										[1] = { id = 1,
											["quest"] = { title = C_QuestLog.GetQuestInfo(13668), desc = core.L["DescQuest"], completed = IsQuestFlaggedCompleted(13668)},
											["type"] = "quest",
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,							
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(2756)},
											["type"] = "hf",
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(2758)},
											["type"] = "hf",
										},
									},
								},
								[3] = { id = 3,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(2788)},
											["type"] = "hf",
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(2836)},
											["type"] = "hf",
										},
									},
								},
								[4] = { id = 4,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(2771)},
											["type"] = "hf",
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(2816)},
											["type"] = "hf",
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(945)},
											["type"] = "hf",
										},
										[4] = { id = 4,
											["hf"] = {GetAchievementInfo(2772)},
											["type"] = "hf",
										},
									},
								},
							},
						},
						[2] = { id = 2,
							name = core.L["Ogrimmar"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_orgrimmar_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_champion_orgrimmar",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["quest"] = { title = C_QuestLog.GetQuestInfo(13697), desc = core.L["DescQuest"], completed = IsQuestFlaggedCompleted(13697)},
											["type"] = "quest",
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(2783)},
											["type"] = "hf",
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,
									help = core.L["HelpTournoiDj"],
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(2765)},
											["type"] = "hf",
											["faction"] = 76,
										},
									},
								},
							},
						},
						[3] = { id = 3,
							name = core.L["Undercity"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_undercity_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_champion_undercity",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["quest"] = { title = C_QuestLog.GetQuestInfo(13721), desc = core.L["DescQuest"], completed = IsQuestFlaggedCompleted(13721)},
											["type"] = "quest",
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(2787)},
											["type"] = "hf",
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,
									help = core.L["HelpTournoiDj"],
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(2769)},
											["type"] = "hf",
											["faction"] = 68,
										},
									},
								},
							},
						},
						[4] = { id = 4,
							name = core.L["ThunderBluff"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_thunderbluff_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_champion_thunderbluff",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["quest"] = { title = C_QuestLog.GetQuestInfo(13720), desc = core.L["DescQuest"], completed = IsQuestFlaggedCompleted(13720)},
											["type"] = "quest",
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(2786)},
											["type"] = "hf",
										},
									},
								},
								[2] = { id = 2,
									help = core.L["HelpTournoiDj"],
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(2768)},
											["type"] = "hf",
											["faction"] = 81,
										},
									},
								},
							},
						},
						[5] = { id = 5,
							name = core.L["Silvermoon"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_silvermoon_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_champion_silvermoon",
							step = {
								[1] = { id = 1,	
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["quest"] = { title = C_QuestLog.GetQuestInfo(13722), desc = core.L["DescQuest"], completed = IsQuestFlaggedCompleted(13722)},
											["type"] = "quest",
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(2785)},
											["type"] = "hf",
										},
									},
								},
								[2] = { id = 2,	
									help = core.L["HelpTournoiDj"],
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(2767)},
											["type"] = "hf",
											["faction"] = 911,
										},
									},
								},
							},
						},
						[6] = { id = 6,
							name = core.L["Senjin"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_senjin_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_champion_senjin",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["quest"] = { title = C_QuestLog.GetQuestInfo(13719), desc = core.L["DescQuest"], completed = IsQuestFlaggedCompleted(13719)},
											["type"] = "quest",
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(2784)},
											["type"] = "hf",
										},
									},
								},
								[2] = { id = 2,	
									help = core.L["HelpTournoiDj"],
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(2766)},
											["type"] = "hf",
											["faction"] = 530,
										},
									},
								},
							},
						},
					},
				},
			},
		},
		[3] = {
			id = 3,
			title = core.L["Voyageur"],
			bg = "Interface/AddOns/WoWChallenger/images/challenges/bg/bg_challenge_event",
			tab = {
				[1] = {
					id = 1;
					name = core.L["Alliance"],
					faction = "Alliance",
					page = {
						[1] = { id = 1,
							name = core.L["Objective"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_objective_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_voyage_ally",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(2144)},
											["type"] = "hf";
										},
									},
								},
							},
						},
						[2] = { id = 2,
							name = core.L["Moon"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_honor_ancient_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_event_lune",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(911)},
											["type"] = "hf";
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(914)},
											["type"] = "hf";
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(912)},
											["type"] = "hf";
										},
										[4] = { id = 4,
											["hf"] = {GetAchievementInfo(915)},
											["type"] = "hf";
										},
										[5] = { id = 5,
											["hf"] = {GetAchievementInfo(1396)},
											["type"] = "hf";
										},
										[6] = { id = 6,
											["hf"] = {GetAchievementInfo(6006)},
											["type"] = "hf";
										},
										[7] = { id = 7,
											["hf"] = {GetAchievementInfo(910)},
											["type"] = "hf";
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(626)},
											["type"] = "hf";
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(1552)},
											["type"] = "hf";
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(1281)},
											["type"] = "hf";
										},
										[4] = { id = 4,
											["hf"] = {GetAchievementInfo(937)},
											["type"] = "hf";
										},
									},
								},
								[3] = { id = 3,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(913)},
											["type"] = "hf";
										},
									},
								},
							},
						},
						[3] = { id = 3,
							name = core.L["Garden"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_noble_jardinier_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_event_garden",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(2676)},
											["type"] = "hf";
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(2418)},
											["type"] = "hf";
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(2436)},
											["type"] = "hf";
										},
										[4] = { id = 4,
											["hf"] = {GetAchievementInfo(2576)},
											["type"] = "hf";
										},
										[5] = { id = 5,
											["hf"] = {GetAchievementInfo(2416)},
											["type"] = "hf";
										},
										[6] = { id = 6,
											["hf"] = {GetAchievementInfo(2419)},
											["type"] = "hf";
										},
										[7] = { id = 7,
											["hf"] = {GetAchievementInfo(2421)},
											["type"] = "hf";
										},
										[8] = { id = 8,
											["hf"] = {GetAchievementInfo(2422)},
											["type"] = "hf";
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(2798)},
											["type"] = "hf";
										},
									},
								},
							},							
						},
						[4] = { id = 4,
							name = core.L["SummerA"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_summer_alliance_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_event_summer",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(1022)},
											["type"] = "hf";
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(1023)},
											["type"] = "hf";
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(1024)},
											["type"] = "hf";
										},
										[4] = { id = 4,
											["hf"] = {GetAchievementInfo(6008)},
											["type"] = "hf";
										},
										[5] = { id = 5,
											["hf"] = {GetAchievementInfo(6011)},
											["type"] = "hf";
										},
										[6] = { id = 6,
											["hf"] = {GetAchievementInfo(1034)},
											["type"] = "hf";
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(1028)},
											["type"] = "hf";
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(1029)},
											["type"] = "hf";
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(1030)},
											["type"] = "hf";
										},
										[4] = { id = 4,
											["hf"] = {GetAchievementInfo(6007)},
											["type"] = "hf";
										},
										[5] = { id = 5,
											["hf"] = {GetAchievementInfo(6013)},
											["type"] = "hf";
										},
										[6] = { id = 6,
											["hf"] = {GetAchievementInfo(1035)},
											["type"] = "hf";
										},
										[7] = { id = 7,
											["hf"] = {GetAchievementInfo(1145)},
											["type"] = "hf";
										},
									},
								},
								[3] = { id = 3,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(263)},
											["type"] = "hf";
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(271)},
											["type"] = "hf";
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(272)},
											["type"] = "hf";
										},
									},
								},
								[4] = { id = 4,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(1038)},
											["type"] = "hf";
										},
									},
								},
							},
						},
						[5] = { id = 5,
							name = core.L["Halloween"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_halloween_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_event_halloween",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(966)},
											["type"] = "hf";
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(963)},
											["type"] = "hf";
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(969)},
											["type"] = "hf";
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(972)},
											["type"] = "hf";
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(255)},
											["type"] = "hf";
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(981)},
											["type"] = "hf";
										},
										[4] = { id = 4,
											["hf"] = {GetAchievementInfo(1261)},
											["type"] = "hf";
										},
										[5] = { id = 5,
											["hf"] = {GetAchievementInfo(283)},
											["type"] = "hf";
										},
										[6] = { id = 6,
											["hf"] = {GetAchievementInfo(288)},
											["type"] = "hf";
										},
										[7] = { id = 7,
											["hf"] = {GetAchievementInfo(289)},
											["type"] = "hf";
										},
										[8] = { id = 8,
											["hf"] = {GetAchievementInfo(1040)},
											["type"] = "hf";
										},
										[9] = { id = 9,
											["hf"] = {GetAchievementInfo(291)},
											["type"] = "hf";
										},
										[10] = { id = 10,
											["hf"] = {GetAchievementInfo(292)},
											["type"] = "hf";
										},
									},
								},
								[3] = { id = 3,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(1656)},
											["type"] = "hf";
										},
									},
								},
							},
						},
						[6] = { id = 6,
							name = core.L["Valentine"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_valentine_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_event_valentine",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(260)},
											["type"] = "hf";
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(1279)},
											["type"] = "hf";
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(1695)},
											["type"] = "hf";
										},
										[4] = { id = 4,
											["hf"] = {GetAchievementInfo(1697)},
											["type"] = "hf";
										},
										[5] = { id = 5,
											["hf"] = {GetAchievementInfo(1702)},
											["type"] = "hf";
										},
										[6] = { id = 6,
											["hf"] = {GetAchievementInfo(1703)},
											["type"] = "hf";
										},
										[7] = { id = 7,
											["hf"] = {GetAchievementInfo(1188)},
											["type"] = "hf";
										},
										[8] = { id = 8,
											["hf"] = {GetAchievementInfo(1291)},
											["type"] = "hf";
										},
										[9] = { id = 9,
											["hf"] = {GetAchievementInfo(1696)},
											["type"] = "hf";
										},
										[10] = { id = 10,
											["hf"] = {GetAchievementInfo(1699)},
											["type"] = "hf";
										},
										[11] = { id = 11,
											["hf"] = {GetAchievementInfo(1701)},
											["type"] = "hf";
										},
										[12] = { id = 12,
											["hf"] = {GetAchievementInfo(1704)},
											["type"] = "hf";
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(1693)},
											["type"] = "hf";
										},
									},
								},
							},
						},
						[7] = { id = 7,
							name = core.L["Child"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_child_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_event_child",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(1791)},
											["type"] = "hf";
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(1789)},
											["type"] = "hf";
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(1786)},
											["type"] = "hf";
										},
										[4] = { id = 4,
											["hf"] = {GetAchievementInfo(1788)},
											["type"] = "hf";
										},
										[5] = { id = 5,
											["hf"] = {GetAchievementInfo(1792)},
											["type"] = "hf";
										},
										[6] = { id = 6,
											["hf"] = {GetAchievementInfo(1790)},
											["type"] = "hf";
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(1793)},
											["type"] = "hf";
										},
									},
								},
							},
						},
						[8] = { id = 8,
							name = core.L["BrewMaster"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_brewmaster_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_event_brewmaster",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(1185)},
											["type"] = "hf";
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(295)},
											["type"] = "hf";
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(1936)},
											["type"] = "hf";
										},
										[4] = { id = 4,
											["hf"] = {GetAchievementInfo(2796)},
											["type"] = "hf";
										},
										[5] = { id = 5,
											["hf"] = {GetAchievementInfo(303)},
											["type"] = "hf";
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(1683)},
											["type"] = "hf";
										},
									},
								},
							},
						},
						[9] = { id = 9,
							name = core.L["Noel"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_merrymaker_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_event_noel",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(273)},
											["type"] = "hf";
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(1255)},
											["type"] = "hf";
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(277)},
											["type"] = "hf";
										},
										[4] = { id = 4,
											["hf"] = {GetAchievementInfo(1687)},
											["type"] = "hf";
										},
										[5] = { id = 5,
											["hf"] = {GetAchievementInfo(1688)},
											["type"] = "hf";
										},
										[6] = { id = 6,
											["hf"] = {GetAchievementInfo(1690)},
											["type"] = "hf";
										},
										[7] = { id = 7,
											["hf"] = {GetAchievementInfo(252)},
											["type"] = "hf";
										},
										[8] = { id = 8,
											["hf"] = {GetAchievementInfo(1282)},
											["type"] = "hf";
										},
										[9] = { id = 9,
											["hf"] = {GetAchievementInfo(279)},
											["type"] = "hf";
										},
										[10] = { id = 10,
											["hf"] = {GetAchievementInfo(1686)},
											["type"] = "hf";
										},
										[11] = { id = 11,
											["hf"] = {GetAchievementInfo(1689)},
											["type"] = "hf";
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(1691)},
											["type"] = "hf";
										},
									},
								},
							},
						},
					},
				},
				[2] = {
					id = 2;
					name = core.L["Horde"],
					faction = "Horde",
					page = {
						[1] = { id = 1,
							name = core.L["Objective"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_objective_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_voyage_horde",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(2144)},
											["type"] = "hf";
										},
									},
								},
							},
						},
						[2] = { id = 2,
							name = core.L["Moon"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_honor_ancient_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_event_lune",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(911)},
											["type"] = "hf";
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(914)},
											["type"] = "hf";
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(912)},
											["type"] = "hf";
										},
										[4] = { id = 4,
											["hf"] = {GetAchievementInfo(915)},
											["type"] = "hf";
										},
										[5] = { id = 5,
											["hf"] = {GetAchievementInfo(1396)},
											["type"] = "hf";
										},
										[6] = { id = 6,
											["hf"] = {GetAchievementInfo(6006)},
											["type"] = "hf";
										},
										[7] = { id = 7,
											["hf"] = {GetAchievementInfo(910)},
											["type"] = "hf";
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(626)},
											["type"] = "hf";
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(1552)},
											["type"] = "hf";
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(1281)},
											["type"] = "hf";
										},
										[4] = { id = 4,
											["hf"] = {GetAchievementInfo(937)},
											["type"] = "hf";
										},
									},
								},
								[3] = { id = 3,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(913)},
											["type"] = "hf";
										},
									},
								},
							},
						},
						[3] = { id = 3,
							name = core.L["Garden"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_noble_jardinier_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_event_garden",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(2676)},
											["type"] = "hf";
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(2418)},
											["type"] = "hf";
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(2436)},
											["type"] = "hf";
										},
										[4] = { id = 4,
											["hf"] = {GetAchievementInfo(2576)},
											["type"] = "hf";
										},
										[5] = { id = 5,
											["hf"] = {GetAchievementInfo(2416)},
											["type"] = "hf";
										},
										[6] = { id = 6,
											["hf"] = {GetAchievementInfo(2497)},
											["type"] = "hf";
										},
										[7] = { id = 7,
											["hf"] = {GetAchievementInfo(2420)},
											["type"] = "hf";
										},
										[8] = { id = 8,
											["hf"] = {GetAchievementInfo(2422)},
											["type"] = "hf";
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(2798)},
											["type"] = "hf";
										},
									},
								},
							},							
						},
						[4] = { id = 4,
							name = core.L["SummerB"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_summer_horde_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_event_summer",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(1026)},
											["type"] = "hf";
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(1025)},
											["type"] = "hf";
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(1027)},
											["type"] = "hf";
										},
										[4] = { id = 4,
											["hf"] = {GetAchievementInfo(6009)},
											["type"] = "hf";
										},
										[5] = { id = 5,
											["hf"] = {GetAchievementInfo(6012)},
											["type"] = "hf";
										},
										[6] = { id = 6,
											["hf"] = {GetAchievementInfo(1036)},
											["type"] = "hf";
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(1032)},
											["type"] = "hf";
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(1031)},
											["type"] = "hf";
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(1033)},
											["type"] = "hf";
										},
										[4] = { id = 4,
											["hf"] = {GetAchievementInfo(6010)},
											["type"] = "hf";
										},
										[5] = { id = 5,
											["hf"] = {GetAchievementInfo(6014)},
											["type"] = "hf";
										},
										[6] = { id = 6,
											["hf"] = {GetAchievementInfo(1037)},
											["type"] = "hf";
										},
										[7] = { id = 7,
											["hf"] = {GetAchievementInfo(1145)},
											["type"] = "hf";
										},
									},
								},
								[3] = { id = 3,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(263)},
											["type"] = "hf";
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(271)},
											["type"] = "hf";
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(272)},
											["type"] = "hf";
										},
									},
								},
								[4] = { id = 4,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(1039)},
											["type"] = "hf";
										},
									},
								},
							},
						},
						[5] = { id = 5,
							name = core.L["Halloween"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_halloween_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_event_halloween",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(965)},
											["type"] = "hf";
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(967)},
											["type"] = "hf";
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(968)},
											["type"] = "hf";
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(972)},
											["type"] = "hf";
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(255)},
											["type"] = "hf";
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(981)},
											["type"] = "hf";
										},
										[4] = { id = 4,
											["hf"] = {GetAchievementInfo(1261)},
											["type"] = "hf";
										},
										[5] = { id = 5,
											["hf"] = {GetAchievementInfo(283)},
											["type"] = "hf";
										},
										[6] = { id = 6,
											["hf"] = {GetAchievementInfo(288)},
											["type"] = "hf";
										},
										[7] = { id = 7,
											["hf"] = {GetAchievementInfo(289)},
											["type"] = "hf";
										},
										[8] = { id = 8,
											["hf"] = {GetAchievementInfo(1041)},
											["type"] = "hf";
										},
										[9] = { id = 9,
											["hf"] = {GetAchievementInfo(291)},
											["type"] = "hf";
										},
										[10] = { id = 10,
											["hf"] = {GetAchievementInfo(292)},
											["type"] = "hf";
										},
									},
								},
								[3] = { id = 3,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(1656)},
											["type"] = "hf";
										},
									},
								},
							},
						},
						[6] = { id = 6,
							name = core.L["Valentine"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_valentine_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_event_valentine",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(260)},
											["type"] = "hf";
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(1280)},
											["type"] = "hf";
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(1695)},
											["type"] = "hf";
										},
										[4] = { id = 4,
											["hf"] = {GetAchievementInfo(1698)},
											["type"] = "hf";
										},
										[5] = { id = 5,
											["hf"] = {GetAchievementInfo(1702)},
											["type"] = "hf";
										},
										[6] = { id = 6,
											["hf"] = {GetAchievementInfo(1703)},
											["type"] = "hf";
										},
										[7] = { id = 7,
											["hf"] = {GetAchievementInfo(1188)},
											["type"] = "hf";
										},
										[8] = { id = 8,
											["hf"] = {GetAchievementInfo(1291)},
											["type"] = "hf";
										},
										[9] = { id = 9,
											["hf"] = {GetAchievementInfo(1696)},
											["type"] = "hf";
										},
										[10] = { id = 10,
											["hf"] = {GetAchievementInfo(1699)},
											["type"] = "hf";
										},
										[11] = { id = 11,
											["hf"] = {GetAchievementInfo(1701)},
											["type"] = "hf";
										},
										[12] = { id = 12,
											["hf"] = {GetAchievementInfo(1704)},
											["type"] = "hf";
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(1693)},
											["type"] = "hf";
										},
									},
								},
							},
						},
						[7] = { id = 7,
							name = core.L["Child"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_child_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_event_child",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(1791)},
											["type"] = "hf";
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(1789)},
											["type"] = "hf";
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(1786)},
											["type"] = "hf";
										},
										[4] = { id = 4,
											["hf"] = {GetAchievementInfo(1788)},
											["type"] = "hf";
										},
										[5] = { id = 5,
											["hf"] = {GetAchievementInfo(1792)},
											["type"] = "hf";
										},
										[6] = { id = 6,
											["hf"] = {GetAchievementInfo(1790)},
											["type"] = "hf";
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(1793)},
											["type"] = "hf";
										},
									},
								},
							},
						},
						[8] = { id = 8,
							name = core.L["BrewMaster"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_brewmaster_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_event_brewmaster",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(1185)},
											["type"] = "hf";
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(295)},
											["type"] = "hf";
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(1936)},
											["type"] = "hf";
										},
										[4] = { id = 4,
											["hf"] = {GetAchievementInfo(2796)},
											["type"] = "hf";
										},
										[5] = { id = 5,
											["hf"] = {GetAchievementInfo(303)},
											["type"] = "hf";
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(1683)},
											["type"] = "hf";
										},
									},
								},
							},
						},
						[9] = { id = 9,
							name = core.L["Noel"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_merrymaker_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_event_noel",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(273)},
											["type"] = "hf";
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(259)},
											["type"] = "hf";
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(277)},
											["type"] = "hf";
										},
										[4] = { id = 4,
											["hf"] = {GetAchievementInfo(1687)},
											["type"] = "hf";
										},
										[5] = { id = 5,
											["hf"] = {GetAchievementInfo(1688)},
											["type"] = "hf";
										},
										[6] = { id = 6,
											["hf"] = {GetAchievementInfo(1690)},
											["type"] = "hf";
										},
										[7] = { id = 7,
											["hf"] = {GetAchievementInfo(252)},
											["type"] = "hf";
										},
										[8] = { id = 8,
											["hf"] = {GetAchievementInfo(1282)},
											["type"] = "hf";
										},
										[9] = { id = 9,
											["hf"] = {GetAchievementInfo(279)},
											["type"] = "hf";
										},
										[10] = { id = 10,
											["hf"] = {GetAchievementInfo(1685)},
											["type"] = "hf";
										},
										[11] = { id = 11,
											["hf"] = {GetAchievementInfo(1689)},
											["type"] = "hf";
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(1691)},
											["type"] = "hf";
										},
									},
								},
							},
						},
					},
				},
			},
		},
	id = 1;
	},
	[2] = {
		[1] = {
			id = 1,
			title = core.L["Ambassadeur"],
			bg = "Interface/AddOns/WoWChallenger/images/challenges/bg/bg_challenge_allies",
			tab = {
				[1] = {
					id = 1;
					name = core.L["Alliance"],
					faction = "Alliance",
					page = {
						[1] = { id = 1,
								name = core.L["KulTiras"],
								icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_humainKulTiras_good",
								character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_humain_kultiras",
								step = {
									[1] = { id = 1,	
										AccessLoot = true,
										task = {
											[1] = { id = 1,
												["hf"] = {GetAchievementInfo(12951)},
												["faction"] = 2160,
												["type"] = "hf",
											},
											[2] = { id = 2,
												["hf"] = {GetAchievementInfo(12891)},
												["type"] = "hf",
											},
											[3] = { id = 3,
												["hf"] = {GetAchievementInfo(13467)},
												["type"] = "hf",
											},
											[4] = { id = 4,
												["hf"] = {GetAchievementInfo(13163)},
												["type"] = "hf",
											},
										},
									},
									[2] = { id = 2,
										AccessLoot = true,
										task = {
											[1] = { id = 1,
												["hf"] = {GetAchievementInfo(13504)},
												["type"] = "hf"
											},
										},
									},
								},
						},
						[2] = { id = 2,
								name = core.L["Sombrefer"],
								icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_nainSombrefer_good",
								character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_nain_sombrefer",
								step = {
									[1] = { id = 1,	
										AccessLoot = true,
										task = {
											[1] = { id = 1,
												["hf"] = {GetAchievementInfo(12954)},
												["faction"] = 2157,
												["type"] = "hf",
											},
											[2] = { id = 2,
												["hf"] = {GetAchievementInfo(12510)},
												["type"] = "hf",
											},
											[3] = { id = 3,
												["hf"] = {GetAchievementInfo(12515)},
												["type"] = "hf",
											},
										},
									},
									[2] = { id = 2,
										AccessLoot = true,
										task = {
											[1] = { id = 1,
												["hf"] = {GetAchievementInfo(13076)},
												["type"] = "hf"
											},
										},
									},
								},
						},
						[3] = { id = 3,
								name = core.L["Sancteforge"],
								icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_draeneiSancteforge_good",
								character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_draenei_sancteforge",
								step = {
									[1] = { id = 1,	
										AccessLoot = true,
										task = {
											[1] = { id = 1,
												["hf"] = {GetAchievementInfo(12081)},
												["faction"] = 2165,
												["type"] = "hf",
											},
											[2] = { id = 2,
												["hf"] = {GetAchievementInfo(12066)},
												["type"] = "hf",
											},
											[3] = { id = 3,
												["hf"] = {GetAchievementInfo(12243)},
												["type"] = "hf",
											},
										},
									},
									[2] = { id = 2,
										AccessLoot = true,
										task = {
											[1] = { id = 1,
												["hf"] = {GetAchievementInfo(12414)},
												["type"] = "hf"
											},
										},
									},
								},
						},
						[4] = { id = 4,
								name = core.L["VoidElf"],
								icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_elfeVide_good",
								character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_elfe_vide",
								step = {
									[1] = { id = 1,
										AccessLoot = true,
										task = {
											[1] = { id = 1,
												["hf"] = {GetAchievementInfo(12076)},
												["faction"] = 2170,
												["type"] = "hf",
											},
											[2] = { id = 2,
												["hf"] = {GetAchievementInfo(12066)},
												["type"] = "hf",
											},
											[3] = { id = 3,
												["hf"] = {GetAchievementInfo(12242)},
												["type"] = "hf",
											},
										},
									},
									[2] = { id = 2,
										AccessLoot = true,
										task = {
											[1] = { id = 1,
												["hf"] = {GetAchievementInfo(12291)},
												["type"] = "hf"
											},
										},
									},
								},
						},
					},
				},
				[2] = {
					id = 2;
					name = core.L["Horde"],
					faction = "Horde",
					page = {
						[1] = { id = 1,
								name = core.L["Maghar"],
								icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_orcMaghar_good",
								character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_orc_maghar",
								step = {
									[1] = { id = 1,	
										AccessLoot = true,
										task = {
											[1] = { id = 1,
												["hf"] = {GetAchievementInfo(12957)},
												["faction"] = 2157,
												["type"] = "hf",
											},
											[2] = { id = 2,
												["hf"] = {GetAchievementInfo(12509)},
												["type"] = "hf",
											},
											[3] = { id = 3,
												["hf"] = {GetAchievementInfo(12518)},
												["type"] = "hf",
											},
										},
									},
									[2] = { id = 2,
										AccessLoot = true,
										task = {
											[1] = { id = 1,
												["hf"] = {GetAchievementInfo(13077)},
												["type"] = "hf"
											},
										},
									},
								},
						},
						[2] = { id = 2,
								name = core.L["HautRoc"],
								icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_taurenHautRoc_good",
								character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_tauren_hautroc",
								step = {
									[1] = { id = 1,
										AccessLoot = true,								
										task = {
											[1] = { id = 1,
												["hf"] = {GetAchievementInfo(12292)},
												["faction"] = 1828,
												["type"] = "hf",
											},
											[2] = { id = 2,
												["hf"] = {GetAchievementInfo(10059)},
												["type"] = "hf",
											},
											[3] = { id = 3,
												["hf"] = {GetAchievementInfo(12245)},
												["type"] = "hf",
											},
										},
									},
									[2] = { id = 2,
										AccessLoot = true,
										task = {
											[1] = { id = 1,
												["hf"] = {GetAchievementInfo(12415)},
												["type"] = "hf"
											},
										},
									},
								},
						},
						[3] = { id = 3,
								name = core.L["Sacrenuit"],
								icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_sacrenuit_good",
								character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_sacrenuit",
								step = {
									[1] = { id = 1,
										AccessLoot = true,
										task = {
											[1] = { id = 1,
												["hf"] = {GetAchievementInfo(10778)},
												["faction"] = 1859,
												["type"] = "hf",
											},
											[2] = { id = 2,
												["hf"] = {GetAchievementInfo(11340)},
												["type"] = "hf",
											},
											[3] = { id = 3,
												["hf"] = {GetAchievementInfo(12244)},
												["type"] = "hf",
											},
										},
									},
									[2] = { id = 2,
										AccessLoot = true,
										task = {
											[1] = { id = 1,
												["hf"] = {GetAchievementInfo(12413)},
												["type"] = "hf"
											},
										},
									},
								},
						},
						[4] = { id = 4,
								name = core.L["Zandalari"],
								icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_trollZandalar_good",
								character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_troll_zandalari",
								step = {
									[1] = { id = 1,
										AccessLoot = true,
										task = {
											[1] = { id = 1,
												["hf"] = {GetAchievementInfo(12950)},
												["faction"] = 2103,
												["type"] = "hf",
											},
											[2] = { id = 2,
												["hf"] = {GetAchievementInfo(12479)},
												["type"] = "hf",
											},
											[3] = { id = 3,
												["hf"] = {GetAchievementInfo(13466)},
												["type"] = "hf",
											},
											[4] = { id = 4,
												["hf"] = {GetAchievementInfo(13161)},
												["type"] = "hf",
											},
										},
									},
									[2] = { id = 2,
										AccessLoot = true,
										task = {
											[1] = { id = 1,
												["hf"] = {GetAchievementInfo(13503)},
												["type"] = "hf"
											},
										},
									},
								},
						},
					},
				},
			},
		},
		[2] = {
			id = 2,
			title = core.L["Guide"],
			bg = core.L["pathBgGuide"],
			tab = {
				[1] = {
					id = 1;
					name = core.L["Alliance"],
					faction = "Alliance",
					page = {
						[1] = { id = 1,
							name = "Warlods of Draenor",
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_wod_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_vol_wod_ally",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(8935)},
											["type"] = "hf",
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(9833)},
											["type"] = "hf",
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(10348)},
											["type"] = "hf",
										},
										[4] = { id = 4,
											["hf"] = {GetAchievementInfo(9564)},
											["type"] = "hf",
										},
										[5] = { id = 5,
											["hf"] = {GetAchievementInfo(10350)},
											["type"] = "hf",
										},
										[6] = { id = 6,
											["hf"] = {GetAchievementInfo(10018)},
											["type"] = "hf",
										},
									},
								},
							},
						},
						[2] = { id = 2,
							name = "Legion",
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_legion_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_vol_legion_ally",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(11188)},
											["type"] = "hf",
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(11189)},
											["type"] = "hf",
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(11157)},
											["type"] = "hf",
										},
										[4] = { id = 4,
											["hf"] = {GetAchievementInfo(10672)},
											["type"] = "hf",
										},
										[5] = { id = 5,
											["hf"] = {GetAchievementInfo(10994)},
											["type"] = "hf",
										},
										[6] = { id = 6,
											["hf"] = {GetAchievementInfo(11190)},
											["type"] = "hf",
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(11543)},
											["type"] = "hf",
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(11545)},
											["type"] = "hf",
											["faction"] = 2045,
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(11446)},
											["type"] = "hf",
										},
									},
								},
							},
						},
						[3] = { id = 3,
							name = "Battle for Azeroth",
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_bfa_alliance_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_vol_bfa_ally",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(12988)},
											["type"] = "hf",
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(12593)},
											["type"] = "hf",
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(13144)},
											["type"] = "hf",
										},
										[4] = { id = 4,
											["hf"] = {GetAchievementInfo(12947)},
											["type"] = "hf",
										},
										[5] = { id = 5,
											["hf"] = {GetAchievementInfo(12510)},
											["type"] = "hf",
										},
										[6] = { id = 6,
											["hf"] = {GetAchievementInfo(12989)},
											["type"] = "hf",
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(13712)},
											["type"] = "hf",
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(13776)},
											["type"] = "hf",
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(13250)},
											["type"] = "hf",
										},
									},
								},
							},
						},
					},
				},
				[2] = {
					id = 2;
					name = core.L["Horde"],
					faction = "Horde",
					page = {
						[1] = { id = 1,
							name = "Warlods of Draenor",
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_wod_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_vol_wod_horde",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(8935)},
											["type"] = "hf",
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(9923)},
											["type"] = "hf",
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(10348)},
											["type"] = "hf",
										},
										[4] = { id = 4,
											["hf"] = {GetAchievementInfo(9562)},
											["type"] = "hf",
										},
										[5] = { id = 5,
											["hf"] = {GetAchievementInfo(10349)},
											["type"] = "hf",
										},
										[6] = { id = 6,
											["hf"] = {GetAchievementInfo(10018)},
											["type"] = "hf",
										},
									},
								},
							},
						},
						[2] = { id = 2,
							name = "Legion",
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_legion_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_vol_legion_horde",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(11188)},
											["type"] = "hf",
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(11189)},
											["type"] = "hf",
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(11157)},
											["type"] = "hf",
										},
										[4] = { id = 4,
											["hf"] = {GetAchievementInfo(10672)},
											["type"] = "hf",
										},
										[5] = { id = 5,
											["hf"] = {GetAchievementInfo(10994)},
											["type"] = "hf",
										},
										[6] = { id = 6,
											["hf"] = {GetAchievementInfo(11190)},
											["type"] = "hf",
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(11543)},
											["type"] = "hf",
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(11545)},
											["type"] = "hf",
											["faction"] = 2045,
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(11446)},
											["type"] = "hf",
										},
									},
								},
							},
						},
						[3] = { id = 3,
							name = "Battle for Azeroth",
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_bfa_horde_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_vol_bfa_horde",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(12988)},
											["type"] = "hf",
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(12479)},
											["type"] = "hf",
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(13144)},
											["type"] = "hf",
										},
										[4] = { id = 4,
											["hf"] = {GetAchievementInfo(12947)},
											["type"] = "hf",
										},
										[5] = { id = 5,
											["hf"] = {GetAchievementInfo(12509)},
											["type"] = "hf",
										},
										[6] = { id = 6,
											["hf"] = {GetAchievementInfo(12989)},
											["type"] = "hf",
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(13712)},
											["type"] = "hf",
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(13776)},
											["type"] = "hf",
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(13250)},
											["type"] = "hf",
										},
									},
								},
							},
						},
					},
				},
			},
		},
	id = 2,
	},
	[3] = {
		[1] = {
			id = 1,
			title = core.L["Laboureur"],
			bg = "Interface/AddOns/WoWChallenger/images/challenges/bg/bg_challenge_ferme",
			tab = {
				[1] = {
					id = 1;
					name = core.L["Ferme"],
					page = {
						[1] = { id = 1,
							name = core.L["Ferme"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_farm_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/farm_micolline",
							step = {
								[1] = { id = 1,
									AccessLoot = false,
									help = core.L["HelpTillers"],
									task = {
										[1] = { id = 1,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(30252), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(30252)},
											["type"] = "quest",
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = false,
									task = {
										[1] = { id = 1,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(30535), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(30535)},
											["type"] = "quest",
										},
										[2] = { id = 2,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(30254), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(30254)},
											["type"] = "quest",
										},
										[3] = { id = 3,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(30255), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(30255)},
											["type"] = "quest",
										},
										[4] = { id = 4,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(30256), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(30256)},
											["type"] = "quest",
										},
										[5] = { id = 5,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(30257), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(30257)},
											["type"] = "quest",
										},
										[6] = { id = 6,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(31945), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(31945)},
											["type"] = "quest",
										},
									},
								},
								[3] = { id = 3,
									AccessLoot = false,
									task = {
										[1] = { id = 1,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(30260), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(30260)},
											["type"] = "quest",
										},
										[2] = { id = 2,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(30516), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(30516)},
											["type"] = "quest",
										},
										[3] = { id = 3,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(30523), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(30523)},
											["type"] = "quest",
										},
										[4] = { id = 4,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(30524), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(30524)},
											["type"] = "quest",
										},
										[5] = { id = 5,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(30529), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(30529)},
											["type"] = "quest",
										},
									},
								},
								[4] = { id = 4,
									AccessLoot = false,
									task = {
										[1] = { id = 1,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(32682), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(32682)},
											["type"] = "quest",
										},
									},
								},
							},
						},
					},
				},
				[2] = {
					id = 2,
					name = core.L["Tillers"],
					page = {
						[1] = { id = 1,
							name = core.L["Tillers"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_tillers_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/tillers_micolline",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(7292)},
											["type"] = "hf",
										},
										[2] = { id = 2,
											["hf"] = {GetAchievementInfo(7293)},
											["type"] = "hf",
										},
										[3] = { id = 3,
											["hf"] = {GetAchievementInfo(7294)},
											["type"] = "hf",
										},
										[4] = { id = 4,
											["hf"] = {GetAchievementInfo(7295)},
											["type"] = "hf",
										},
										[5] = { id = 5,
											["hf"] = {GetAchievementInfo(6544)},
											["type"] = "hf",
											["faction"] = 1272,
										},
										[6] = { id = 6,
											["hf"] = {GetAchievementInfo(6552)},
											["type"] = "hf",
										},
									},
								},
							},
						},
						[2] = { id = 2,
							name = core.L["Chii"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_hozen_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_tillers_chii",
							step = {
								[1] = { id = 1,
									AccessLoot = false,
									task = {
										[1] = { id = 1,
											["quest"] = { 
												title = core.L["TitleQuestMA"], 
												desc = "|cFFFFFFFF"..core.L["DescQuestMA"]..core.L["Chii"]..".|r\n"..core.libs.changeReputToTextMA(1277),
												completed = core.libs.ifMAExalted(1277)},
											["type"] = "quest",
											["MA"] = true,
										},
										[2] = { id = 2,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(31338), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(31338)},
											["type"] = "quest",
										},
										[3] = { id = 3,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(31339), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(31339)},
											["type"] = "quest",
										},
										[4] = { id = 4,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(31340), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(31340)},
											["type"] = "quest",
										},
										[5] = { id = 5,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(31341), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(31341)},
											["type"] = "quest",
										},
									},
								},
							},
						},
						[3] = { id = 3,
							name = 	core.L["Gina"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_pandaren_female_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_tillers_gina",
							step = {
								[1] = { id = 1,
									AccessLoot = false,
									task = {
										[1] = { id = 1,
											["quest"] = { 
												title = core.L["TitleQuestMA"], 
												desc = "|cFFFFFFFF"..core.L["DescQuestMA"]..core.L["Gina"]..".|r\n"..core.libs.changeReputToTextMA(1281),
												completed = core.libs.ifMAExalted(1281)},
											["type"] = "quest",
											["MA"] = true,
										},
									},
								},
							},
						},
						[4] = { id = 4,
							name = core.L["Ella"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_pandaren_female2_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_tillers_ella",
							step = {
								[1] = { id = 1,
									AccessLoot = false,
									task = {
										[1] = { id = 1,
											["quest"] = { 
												title = core.L["TitleQuestMA"],
												desc = "|cFFFFFFFF"..core.L["DescQuestMA"]..core.L["Ella"]..".|r\n"..core.libs.changeReputToTextMA(1275),
												completed = core.libs.ifMAExalted(1275)},
											["type"] = "quest",
											["MA"] = true,
										},
										[2] = { id = 2,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(31534), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(31534)},
											["type"] = "quest",
										},
										[3] = { id = 3,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(31537), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(31537)},
											["type"] = "quest",
										},
										[4] = { id = 4,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(31538), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(31538)},
											["type"] = "quest",
										},
									},
								},
							},
						},
						[5] = { id = 5,
							name = 	core.L["Fung"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_pandaren_male_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_tillers_fung",
							step = {
								[1] = { id = 1,
									AccessLoot = false,
									task = {
										[1] = { id = 1,
											["quest"] = { 
												title = core.L["TitleQuestMA"],
												desc = "|cFFFFFFFF"..core.L["DescQuestMA"]..core.L["Fung"]..".|r\n"..core.libs.changeReputToTextMA(1283),
												completed = core.libs.ifMAExalted(1283)},
											["type"] = "quest",
											["MA"] = true,
										},
										[2] = { id = 2,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(30517), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(30517)},
											["type"] = "quest",
										},
										[3] = { id = 3,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(30518), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(30518)},
											["type"] = "quest",
										},
										[4] = { id = 4,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(31947), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(31947)},
											["type"] = "quest",
										},
									},
								},
							},
						},
						[6] = { id = 6,
							name = 	core.L["Haohan"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_pandaren_male2_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_tillers_haohan",
							step = {
								[1] = { id = 1,
									AccessLoot = false,
									task = {
										[1] = { id = 1,
											["quest"] = { 
												title = core.L["TitleQuestMA"],
												desc = "|cFFFFFFFF"..core.L["DescQuestMA"]..core.L["Haohan"]..".|r\n"..core.libs.changeReputToTextMA(1279),
												completed = core.libs.ifMAExalted(1279)},
											["type"] = "quest",
											["MA"] = true,
										},
										[2] = { id = 2,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(30521), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(30517)},
											["type"] = "quest",
										},
									},
								},
							},
						},
						[7] = { id = 7,
							name = 	core.L["Jogu"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_jinyu_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_tillers_jogu",
							step = {
								[1] = { id = 1,
									AccessLoot = false,
									task = {
										[1] = { id = 1,
											["quest"] = { 
												title = core.L["TitleQuestMA"],
												desc = "|cFFFFFFFF"..core.L["DescQuestMA"]..core.L["Jogu"]..".|r\n"..core.libs.changeReputToTextMA(1273),
												completed = core.libs.ifMAExalted(1273)},
											["type"] = "quest",
											["MA"] = true,
										},
										[2] = { id = 2,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(31320), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(31320)},
											["type"] = "quest",
										},
										[3] = { id = 3,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(31321), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(31321)},
											["type"] = "quest",
										},
										[4] = { id = 4,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(31322),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(31322)},
											["type"] = "quest",
										},
										[5] = { id = 5,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(31323),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(31323)},
											["type"] = "quest",
										},
									},
								},
							},
						},
						[8] = { id = 8,
							name = 	core.L["Maree"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_pandaren_female_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_tillers_maree",
							step = {
								[1] = { id = 1,
									AccessLoot = false,
									task = {
										[1] = { id = 1,
											["quest"] = { 
												title = core.L["TitleQuestMA"],
												desc = "|cFFFFFFFF"..core.L["DescQuestMA"]..core.L["Maree"]..".|r\n"..core.libs.changeReputToTextMA(1282),
												completed = core.libs.ifMAExalted(1282)},
											["type"] = "quest",
											["MA"] = true,
										},
									},
								},
							},
						},
						[9] = { id = 9,
							name = 	core.L["Sho"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_pandaren_female2_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_tillers_sho",
							step = {
								[1] = { id = 1,
									AccessLoot = false,
									task = {
										[1] = { id = 1,
											["quest"] = { 
												title = core.L["TitleQuestMA"],
												desc = "|cFFFFFFFF"..core.L["DescQuestMA"]..core.L["Sho"]..".|r\n"..core.libs.changeReputToTextMA(1278),
												completed = core.libs.ifMAExalted(1278)},
											["type"] = "quest",
											["MA"] = true,
										},
										[2] = { id = 2,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(31529),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(31529)},
											["type"] = "quest",
										},
										[3] = { id = 3,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(31530),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(31530)},
											["type"] = "quest",
										},
										[4] = { id = 4,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(31531),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(31531)},
											["type"] = "quest",
										},
										[5] = { id = 5,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(31532),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(31532)},
											["type"] = "quest",
										},
									},
								},
							},
						},
						[10] = { id = 10,
							name = core.L["Vieux"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_pandaren_male_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_tillers_vieux",
							step = {
								[1] = { id = 1,
									AccessLoot = false,
									task = {
										[1] = { id = 1,
											["quest"] = { 
												title = core.L["TitleQuestMA"],
												desc = "|cFFFFFFFF"..core.L["DescQuestMA"]..core.L["Vieux"]..".|r\n"..core.libs.changeReputToTextMA(1276),
												completed = core.libs.ifMAExalted(1276)},
											["type"] = "quest",
											["MA"] = true,
										},
									},
								},
							},
						},
						[11] = { id = 11,
							name = 	core.L["Tina"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_pandaren_female2_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_tillers_tina",
							step = {
								[1] = { id = 1,
									AccessLoot = false,
									task = {
										[1] = { id = 1,
											["quest"] = { 
												title = core.L["TitleQuestMA"],
												desc = "|cFFFFFFFF"..core.L["DescQuestMA"]..core.L["Tina"]..".|r\n"..core.libs.changeReputToTextMA(1280),
												completed = core.libs.ifMAExalted(1280)},
											["type"] = "quest",
											["MA"] = true,
										},
									},
								},
							},
						},
					},
				},
				[3] = {
					id = 3,
					name = core.L["Cooking"],
					page = {
						[1] = { id = 1,
							name = core.L["Cooking"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_voie_general_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/cooking_micolline",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(7306)},
											["type"] = "hf",
										},
										[2] = { id = 2,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(31521), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(31521)},
											["type"] = "quest",
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(7325)},
											["type"] = "hf",
										},
									},
								},
							}
						},
						[2] = { id = 2,
							name = 	core.L["Grill"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_voie_grill_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_cook_grill",
							step = {
								[1] = { id = 1,
									AccessLoot = false,
									task = {
										[1] = { id = 1,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(31311), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(31311)},
											["type"] = "quest",
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(7300)},
											["type"] = "hf",
										},
									},
								},
							}
						},
						[3] = { id = 3,
							name = 	core.L["Wok"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_voie_wok_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_cook_wok",
							step = {
								[1] = { id = 1,
									AccessLoot = false,
									task = {
										[1] = { id = 1,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(31470), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(31470)},
											["type"] = "quest",
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(7301)},
											["type"] = "hf",
										},
									},
								},
							}
						},
						[4] = { id = 4,
							name = 	core.L["Pot"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_voie_marmite_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_cook_marmite",
							step = {
								[1] = { id = 1,
									AccessLoot = false,
									task = {
										[1] = { id = 1,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(31472), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(31472)},
											["type"] = "quest",
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(7302)},
											["type"] = "hf",
										},
									},
								},
							}
						},
						[5] = { id = 5,
							name = 	core.L["Steamer"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_voie_cuitVapeur_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_cook_cuitVapeur",
							step = {
								[1] = { id = 1,
									AccessLoot = false,
									task = {
										[1] = { id = 1,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(31475), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(31475)},
											["type"] = "quest",
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(7303)},
											["type"] = "hf",
										},
									},
								},
							}
						},
						[6] = { id = 6,
							name = 	core.L["Oven"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_voie_four_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_cook_four",
							step = {
								[1] = { id = 1,
									AccessLoot = false,
									task = {
										[1] = { id = 1,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(31478), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(31478)},
											["type"] = "quest",
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(7304)},
											["type"] = "hf",
										},
									},
								},
							}
						},
						[7] = { id = 7,
							name = 	core.L["Brew"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_voie_brassage_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_cook_brassage",
							step = {
								[1] = { id = 1,
									AccessLoot = false,
									task = {
										[1] = { id = 1,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(31479), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(31479)},
											["type"] = "quest",
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(7305)},
											["type"] = "hf",
										},
									},
								},
							}
						},
					},
				},
			},
		},
		[2] = {
			id = 2,
			title = core.L["Diplomate"],
			bg = "Interface/AddOns/WoWChallenger/images/challenges/bg/bg_challenge_diplomate",
			tab = {
				[1] = {
					id = 1;
					name = core.L["Alliance"],
					faction = "Alliance",
					page = {
						[1] = { id = 1,
							name = core.L["Objective"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_objective_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/sporeggar",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(942)},
											["type"] = "hf"
										},
									},
								},
							},
						},
						[2] = { id = 2,
							name = core.L["Sporeggar"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_sporeggar_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_sporeggar",
							step = {
								[1] = { id = 1,
									AccessLoot = false,
									help = core.L["HelpSporeggar1"],
									task = {
										[1] = { id = 1,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(9739), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(9739)},
											["type"] = "quest",
										},
										[2] = { id = 2,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(9743), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(9743)},
											["type"] = "quest",
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = false,
									help = core.L["HelpSporeggar2"],
									task = {
										[1] = { id = 1,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(9919), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(9919)},
											["type"] = "quest",
										},
									},
								},
								[3] = { id = 3,
									AccessLoot = false,
									task = {
										[1] = { id = 1,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(9806), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(9806)},
											["type"] = "quest",
										},
										[2] = { id = 2,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(9726), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(9726)},
											["type"] = "quest",
										},
										[3] = { id = 3,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(29691), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(29691)},
											["type"] = "quest",
										},
										[4] = { id = 4,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(9729), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(9729)},
											["type"] = "quest",
										},
									},
								},
								[4] = { id = 4,
									AccessLoot = true,
									help = core.L["HelpSporeggar3"],
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(900)},
											["type"] = "hf",
											["faction"] = 970,
										},
									},
								},
							},
						},
						[3] = { id = 3,
							name = core.L["Grumegueules"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_grumegueule_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_grumegueule",
							step = {
								[1] = { id = 1,
									AccessLoot = false,
									help = core.L["HelpGrumegueule1"],
									task = {
										[1] = { id = 1,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(28100),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(28100)},
											["type"] = "quest",
										},
										[2] = { id = 2,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(27989),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(27989)},
											["type"] = "quest",
										},
										[3] = { id = 3,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(27994),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(27994)},
											["type"] = "quest",
										},
										[4] = { id = 4,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(27995),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(27995)},
											["type"] = "quest",
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = false,
									help = core.L["HelpGrumegueule2"],
									task = {
										[1] = { id = 1,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(28338),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(28338)},
											["type"] = "quest",
										},
										[2] = { id = 2,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(28366),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(28366)},
											["type"] = "quest",
										},
										[3] = { id = 3,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(28362),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(28362)},
											["type"] = "quest",
										},
										[4] = { id = 4,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(28364),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(28364)},
											["type"] = "quest",
										},
									},
								},
								[3] = { id = 3,
									AccessLoot = false,
									task = {
										[1] = { id = 1,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(28521),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(28521)},
											["type"] = "quest",
										},
										[2] = { id = 2,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(28524),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(28524)},
											["type"] = "quest",
										},
										[3] = { id = 3,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(28460),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(28460)},
											["type"] = "quest",
										},
										[4] = { id = 4,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(28464),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(28464)},
											["type"] = "quest",
										},
										[5] = { id = 5,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(28467),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(28467)},
											["type"] = "quest",
										},
										[6] = { id = 6,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(28530),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(28530)},
											["type"] = "quest",
										},
										[7] = { id = 7,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(28469),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(28469)},
											["type"] = "quest",
										},
										[8] = { id = 8,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(28470),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(28470)},
											["type"] = "quest",
										},
										[9] = { id = 9,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(28472),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(28472)},
											["type"] = "quest",
										},
									},
								},
								[4] = { id = 4,
									AccessLoot = true,
									help = core.L["HelpGrumegueule3"],
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(944)},
											["type"] = "hf",
											["faction"] = 576,
										},
									},
								},
							},
						},
						[4] = { id = 4,
							name = core.L["Kurenai"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_kurenai_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_kurenai",
							step = {
								[1] = { id = 1,
									AccessLoot = false,
									help = core.L["HelpKurenai1"],
									task = {
										[1] = { id = 1,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(9835),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(9835)},
											["type"] = "quest",
										},
										[2] = { id = 2,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(10115),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(10115)},
											["type"] = "quest",
										},
										[3] = { id = 3,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(10116),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(10116)},
											["type"] = "quest",
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = false,
									help = core.L["HelpKurenai2"],
									task = {
										[1] = { id = 1,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(9792),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(9792)},
											["type"] = "quest",
										},
									},
								},
								[3] = { id = 3,
									AccessLoot = true,
									help = core.L["HelpKurenai3"],
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(899)},
											["type"] = "hf",
											["faction"] = 978,
										},
									},
								},
							},
						},
					},
				},
				[2] = {
					id = 2;
					name = core.L["Horde"],
					faction = "Horde",
					page = {
						[1] = { id = 1,
							name = core.L["Objective"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_objective_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/sporeggar",
							step = {
								[1] = { id = 1,
									AccessLoot = true,
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(943)},
											["type"] = "hf"
										},
									},
								},
							},
						},
						[2] = { id = 2,
							name = core.L["Sporeggar"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_sporeggar_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_sporeggar",
							step = {
								[1] = { id = 1,
									AccessLoot = false,
									help = core.L["HelpSporeggar1"],
									task = {
										[1] = { id = 1,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(9739), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(9739)},
											["type"] = "quest",
										},
										[2] = { id = 2,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(9743), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(9743)},
											["type"] = "quest",
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = false,
									help = core.L["HelpSporeggar2"],
									task = {
										[1] = { id = 1,
											["quest"] = { 
												title = C_QuestLog.GetQuestInfo(9919), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(9919)},
											["type"] = "quest",
										},
									},
								},
								[3] = { id = 3,
									AccessLoot = false,
									task = {
										[1] = { id = 1,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(9806), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(9806)},
											["type"] = "quest",
										},
										[2] = { id = 2,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(9726), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(9726)},
											["type"] = "quest",
										},
										[3] = { id = 3,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(29691), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(29691)},
											["type"] = "quest",
										},
										[4] = { id = 4,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(9729), 
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(9729)},
											["type"] = "quest",
										},
									},
								},
								[4] = { id = 4,
									AccessLoot = true,
									help = core.L["HelpSporeggar3"],
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(900)},
											["type"] = "hf",
											["faction"] = 970,
										},
									},
								},
							},
						},
						[3] = { id = 3,
							name = core.L["Grumegueules"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_grumegueule_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_grumegueule",
							step = {
								[1] = { id = 1,
									AccessLoot = false,
									help = core.L["HelpGrumegueule1"],
									task = {
										[1] = { id = 1,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(28100),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(28100)},
											["type"] = "quest",
										},
										[2] = { id = 2,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(27989),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(27989)},
											["type"] = "quest",
										},
										[3] = { id = 3,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(27994),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(27994)},
											["type"] = "quest",
										},
										[4] = { id = 4,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(27995),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(27995)},
											["type"] = "quest",
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = false,
									help = core.L["HelpGrumegueule2"],
									task = {
										[1] = { id = 1,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(28338),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(28338)},
											["type"] = "quest",
										},
										[2] = { id = 2,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(28366),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(28366)},
											["type"] = "quest",
										},
										[3] = { id = 3,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(28362),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(28362)},
											["type"] = "quest",
										},
										[4] = { id = 4,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(28364),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(28364)},
											["type"] = "quest",
										},
									},
								},
								[3] = { id = 3,
									AccessLoot = false,
									task = {
										[1] = { id = 1,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(28524),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(28524)},
											["type"] = "quest",
										},
										[2] = { id = 2,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(28460),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(28460)},
											["type"] = "quest",
										},
										[3] = { id = 3,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(28464),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(28464)},
											["type"] = "quest",
										},
										[4] = { id = 4,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(28467),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(28467)},
											["type"] = "quest",
										},
										[5] = { id = 5,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(28530),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(28530)},
											["type"] = "quest",
										},
										[6] = { id = 6,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(28469),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(28469)},
											["type"] = "quest",
										},
										[7] = { id = 7,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(28470),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(28470)},
											["type"] = "quest",
										},
										[8] = { id = 8,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(28472),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(28472)},
											["type"] = "quest",
										},
									},
								},
								[4] = { id = 4,
									AccessLoot = true,
									help = core.L["HelpGrumegueule3"],
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(944)},
											["type"] = "hf",
											["faction"] = 576,
										},
									},
								},
							},
						},
						[4] = { id = 4,
							name = core.L["MagharDip"],
							icon = "Interface/AddOns/WoWChallenger/images/challenges/icon_page/icon_maghar_good",
							character = "Interface/AddOns/WoWChallenger/images/challenges/img_character_page/character_maghar",
							step = {
								[1] = { id = 1,
									AccessLoot = false,
									help = core.L["HelpMaghar1"],
									task = {
										[1] = { id = 1,
											["quest"] = {
												title = C_QuestLog.GetQuestInfo(9888),
												desc = core.L["DescQuest"],
												completed = IsQuestFlaggedCompleted(9888)},
											["type"] = "quest",
										},
									},
								},
								[2] = { id = 2,
									AccessLoot = true,
									help = core.L["HelpMaghar2"],
									task = {
										[1] = { id = 1,
											["hf"] = {GetAchievementInfo(901)},
											["type"] = "hf",
											["faction"] = 941,
										},
									},
								},
							},
						},
					},
				},
			},
		},
	id = 3,
	},
}
end

core.DBchallenge.load = loadChallenges;